<?php

global $custom_popups_db_version;
$custom_popups_db_version = "1.2";

function custom_popups_install() {
	global $wpdb;
	global $custom_popups_db_version;
	require_once(ABSPATH . 'wp-admin/includes/upgrade.php');

$sql = "CREATE TABLE wp_popup_plugin_content (
id int(11) NOT NULL AUTO_INCREMENT,
name text NOT NULL,
content text,
created_on timestamp NULL DEFAULT NULL,
regularity int(11) DEFAULT NULL,
status varchar(20) NOT NULL,
stop_date timestamp NULL DEFAULT NULL,
width int(11) DEFAULT '520',
animation varchar(20) NOT NULL DEFAULT 'fade',
pages_to_display_on varchar(20) NOT NULL DEFAULT 'all_pages',
urls text,
regularity_type varchar(20) NOT NULL DEFAULT 'percentage',
regularity_period varchar(20) NOT NULL DEFAULT 'day',
blog_id VARCHAR( 20 ) NOT NULL DEFAULT 'no_id',
PRIMARY KEY  (id)
);";

	dbDelta($sql);

	
	add_option("custom_popups_db_version", $custom_popups_db_version);
}

if(get_option('custom_popups_db_version') != $custom_popups_db_version){
	custom_popups_install();
}

